BasketsSetItem:
  post:
    tags:
      - baskets
    operationId: setBasketItems
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController@setItems'
    x-lg-middleware: auth
    security:
      - accessToken: []
    summary: Установить товар в корзину пользователя
    description: Установить товар в корзину пользователя
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/SetBasketItemRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

BasketsPromoCode:
  post:
    tags:
      - baskets
    operationId: setBasketPromoCode
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketCalculatorsController@promoCode'
    x-lg-middleware: auth
    security:
      - accessToken: []
    summary: Установить промокод пользователя
    description: Установить промокод пользователя
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/SetBasketPromoCodeRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/baskets.yaml#/PromoCodeBasketResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

BasketsSearchOne:
  post:
    tags:
      - baskets
    operationId: searchBasket
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketCalculatorsController@current'
    x-lg-skip-request-generation: true
    x-lg-middleware: auth
    security:
      - accessToken: []
    summary: Получить информацию о корзине пользователя
    description: Получить информацию о корзине пользователя
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/SearchBasketRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/baskets.yaml#/SearchBasketResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

BasketsOne:
  delete:
    tags:
      - baskets
    operationId: deleteBasket
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController@delete'
    x-lg-skip-request-generation: true
    x-lg-skip-resource-generation: true
    x-lg-middleware: auth
    security:
      - accessToken: []
    summary: Удалить текущую корзину пользователя
    description: Удалить текущую корзину пользователя
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

